[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: glibc breaks googleearth?



On Wed, 2007-10-17 at 12:04 -0400, Jakub Jelinek wrote:
> On Tue, Oct 16, 2007 at 11:49:00AM +1000, Dave Airlie wrote:
> > Okay I've installed the latest glibc from F7 updates (in a separate
> > directory on my F8 box, and ran
> > 
> > LD_LIBRARY_PATH=.:/home/airlied/test/lib /home/airlied/test/lib//ld-2.6.so ./googleearth-bin
> > 
> > and it appears to start and work.. so what changed in glibc that annoys
> > it?
> 
> Bug in both googleearth (some libraries incorrectly linked, even when they
> use libpthread symbols not linked against -lpthread, which means many
> unversioned symbols) and glibc i?86 sem_post glibc 2.0 compatibility code.
> The latter is fixed in CVS and will be in tonight's glibc build.
> 
> 	Jakub
> 

googleearth now works for me after this update. On intel hardware, it
actually works pretty well too. Can't say the same for nvidia...

Thanks,

tjb
-- 
=======================================================================
| Thomas Baker                                  email: tjb unh edu    |
| Systems Programmer                                                  |
| Research Computing Center                     voice: (603) 862-4490 |
| University of New Hampshire                     fax: (603) 862-1761 |
| 332 Morse Hall                                                      |
| Durham, NH 03824 USA              http://wintermute.sr.unh.edu/~tjb |
=======================================================================


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]